Bug 1996846 - Apiserver liveness probe is marking it as unhealthy during normal shutdown
Summary: Apiserver liveness probe is marking it as unhealthy during normal shutdown
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.8
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.7.z
Assignee: Elana Hashman
QA Contact: Weinan Liu
URL:
Whiteboard:
: 1995609 (view as bug list)
Depends On: 1932097
Blocks: 1996849
TreeView+ depends on / blocked
 
Reported: 2021-08-23 19:41 UTC by OpenShift BugZilla Robot
Modified: 2021-09-08 13:18 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
[sig-node] Managed cluster should report ready nodes the entire duration of the test run [Late] [Skipped:Disconnected] [Suite:openshift/conformance/parallel]
Last Closed: 2021-09-08 13:18:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 901 0 None None None 2021-08-23 19:41:58 UTC
Red Hat Product Errata RHSA-2021:3303 0 None None None 2021-09-08 13:18:07 UTC

Comment 1 Ryan Phillips 2021-08-24 14:49:44 UTC
*** Bug 1995609 has been marked as a duplicate of this bug. ***

Comment 2 Weinan Liu 2021-08-26 11:47:24 UTC
Tested with:launch https://github.com/openshift/kubernetes/pull/901

Checked journal logs while apiserver was gracefully terminating, do not see it being killed.

Following DPTP-660,  this bug is pre-merge-verified by using cluster-bot to launch a cluster with the open PR.

After the PR gets merged, the bug will be moved to VERIFIED by the bot automatically, if not working, I will move to VERIFIED manually.

Comment 8 errata-xmlrpc 2021-09-08 13:18:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.29 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3303


Note You need to log in before you can comment on or make changes to this bug.